-- ----------------------------------------------------------------------------
-- Copyright (C) 2011 Nokia Gate5 GmbH Berlin
--
-- These coded instructions, statements, and computer programs contain
-- unpublished proprietary information of Nokia Gate5 GmbH Berlin, and
-- are copy protected by law. They may not be disclosed to third parties
-- or copied or duplicated in any form, in whole or in part, without the
-- specific, prior written permission of Nokia Gate5 GmbH Berlin.
-- ----------------------------------------------------------------------------
--      Authors: RFS, Fabian TP Riek
-- ----------------------------------------------------------------------------
--             Voice Skin: Swedish TTS

description = "TTS"
gender = "f"
travel_mode = "0"    -- walk and drive 
output_type = "tts"
speaker = "Alva"
language = "Swedish"
marc_code = "swe"
language_id = "6"
id = "6002"
config_file = "swedish_tts/config_tts.lua"
audio_files_path = "swedish_tts/swedish_tts"
rulesets_file = "swedish_tts/swedish_tts/rulesets_SWS.txt"
userdictionary_file = "swedish_tts/swedish_tts/udct_sws.dat"
apdb = "apdb/alva/nm"
audio_files_version = "0.3.0.2012031601"
feature_list = { "metric", "imperial_uk", "imperial_us" }
client_range = "[ client >= 1.4.6.0 ; client < 1.7.0.0 ]"

maneuver_check = {
    ["END"] = "kommer du att nå din slutdestination",                         -- You will reach your destination
    ["STOPOVER"] = "kommer du att nå en anhalt",                              -- You will reach a stopover
    ["JUNCTION"] = nil,                                                       -- No voice file needed -> check maneuver_turn
    ["PASS_JUNCTION"] = nil,                                                  -- the junction
    ["ROUNDABOUT"] = nil,                                                     -- At the roundabout
    ["EXIT_ROUNDABOUT"] = "ta avfarten",                                      -- take the exit
    ["UTURN"] = "gör en u-sväng",                                             -- Make a uturn
    ["ENTER_HIGHWAY"] = "kör in på motorvägen",
    ["LEAVE_HIGHWAY"] = "ta avfarten",                                        -- take the exit
    ["CONTINUE_HIGHWAY"] = "ta avfarten",                                     -- due to specifications ("take the exit")
    ["ENTER_URBAN_HIGHWAY"] = "kör in på motorvägen",
    ["LEAVE_URBAN_HIGHWAY"] = "ta avfarten",                      -- take the exit
    ["CONTINUE_URBAN_HIGHWAY"] = "ta avfarten",
    ["DRIVE_TO_NEAREST_ROAD"] = "kör till närmaste väg",        -- drive to nearest road 
    ["FERRY"] = "ta färjan"
}

maneuver_check_second = {
    ["END"] = "du kommer att nå din slutdestination",                         -- You will reach your destination
    ["STOPOVER"] = "du kommer att nå en anhalt",                              -- You will reach a stopover
    ["JUNCTION"] = nil,                                                       -- No voice file needed -> check maneuver_turn
    ["PASS_JUNCTION"] = nil,                                                  -- the junction
    ["ROUNDABOUT"] = nil,                                                     -- At the roundabout
    ["EXIT_ROUNDABOUT"] = "ta avfarten",                                      -- take the exit
    ["UTURN"] = "en u-sväng",                                                 -- Make a uturn
    ["ENTER_HIGHWAY"] = "in på motorvägen",
    ["LEAVE_HIGHWAY"] = "ta avfarten",                                    -- take the exit
    ["CONTINUE_HIGHWAY"] = "ta avfarten",                                 -- due to specifications ("take the exit")
    ["ENTER_URBAN_HIGHWAY"] = "n på motorvägen",
    ["LEAVE_URBAN_HIGHWAY"] = "ta avfarten",                      -- take the exit
    ["CONTINUE_URBAN_HIGHWAY"] = "ta avfarten",
    ["DRIVE_TO_NEAREST_ROAD"] = "ill närmaste väg",        -- drive to nearest road 
    ["FERRY"] = "ta färjan"
}

maneuver_turns_car = {
    ["NO_TURN"] = "fortsätt rakt fram",
    ["KEEP_MIDDLE"] = "ta mittfilen",
    ["KEEP_RIGHT"] = "håll till höger",
    ["LIGHT_RIGHT"] = "sväng svagt till höger",
    ["QUITE_RIGHT"] = "sväng till höger",
    ["HEAVY_RIGHT"] = "sväng skarpt till höger",
    ["RETURN"] = "gör en u-sväng",
    ["HEAVY_LEFT"] = "sväng skarpt till vänster",
    ["QUITE_LEFT"] = "sväng till vänster",
    ["LIGHT_LEFT"] = "sväng svagt till vänster",
    ["KEEP_LEFT"] = "håll till vänster",
    ["nil"] = nil,
    ["UNDEFINED"] = nil
}

maneuver_turns_car_second = {
    ["NO_TURN"] = "rakt fram",
    ["KEEP_MIDDLE"] = "ta mittfilen",
    ["KEEP_RIGHT"] = "till höger",
    ["LIGHT_RIGHT"] = "svagt till höger",
    ["QUITE_RIGHT"] = "till höger",
    ["HEAVY_RIGHT"] = "skarpt till höger",
    ["RETURN"] = "en u-sväng",
    ["HEAVY_LEFT"] = "skarpt till vänster",
    ["QUITE_LEFT"] = "till vänster",
    ["LIGHT_LEFT"] = "svagt till vänster",
    ["KEEP_LEFT"] = "till vänster",
    ["nil"] = nil,
    ["UNDEFINED"] = nil
}

keep_right_left = { ["KEEP_LEFT"] = 0, ["KEEP_RIGHT"] = 0 }
turns = { ["LIGHT_LEFT"] = 0, ["QUITE_LEFT"] = 0, ["LIGHT_RIGHT"] = 0, ["QUITE_RIGHT"] = 0, ["HEAVY_LEFT"] = 0, ["HEAVY_RIGHT"] = 0 }

maneuver_turns_pedestrian = {
    ["NO_TURN"] = "fortsätt rakt fram",
    ["KEEP_MIDDLE"] = "fortsätt rakt fram",
    ["KEEP_RIGHT"] = "Ta gatan till höger",
    ["LIGHT_RIGHT"] = "sväng svagt till höger",
    ["QUITE_RIGHT"] = "sväng till höger",
    ["HEAVY_RIGHT"] = "sväng skarpt till höger",
    ["RETURN"] = "gör en u-sväng",
    ["HEAVY_LEFT"] = "sväng skarpt till vänster",
    ["QUITE_LEFT"] = "sväng till vänster",
    ["LIGHT_LEFT"] = "sväng svagt till vänster",
    ["KEEP_LEFT"] = "Ta gatan till vänster",
    ["nil"] = nil,
    ["UNDEFINED"] = nil
}

pedestrian_vc = {
    ["BUILDING"] = "gå igenom byggnaden",
    ["SQUARE"] = "korsa torget",
    ["PARK"] = "korsa parken",
    ["STAIRS"] = "ta trappan",
    ["ELEVATOR"] = "ta hissen",
    ["ESCALATOR"] = "ta trappan"
}

final_command = {
    ["END"] = "Du har nått din slutdestination",                  -- You have reached your destination
    ["STOPOVER"] = "Du har nått en anhalt"                     -- You have reached a stopover
}

exit_number_check = {
    [1] = {"ta första avfarten vid rondellen", "sväng vid första gatan"},                      -- take the first exit
    [2] = {"ta andra avfarten vid rondellen", "sväng vid andra gatan"},                      -- take the second exit
    [3] = {"ta tredje avfarten vid rondellen", "sväng vid tredje gatan"},                      -- take the third exit
    [4] = {"ta fjärde avfarten vid rondellen", "sväng vid fjärde gatan"},                       -- take the fourth exit
    [5] = {"ta femte avfarten vid rondellen", "sväng vid femte gatan"},                      -- take the fifth exit
    [6] = {"ta sjätte avfarten vid rondellen", "sväng vid sjätte gatan"},                      -- take the sixth exit
    [7] = {"ta sjunde avfarten vid rondellen", "ta sjunde avfarten"},                          -- take the seventh exit
    [8] = {"ta åttonde avfarten vid rondellen", "ta åttonde avfarten"},                       -- take the eighth exit
    [9] = {"ta nionde avfarten vid rondellen", "ta nionde avfarten"},                         -- take the ninth exit
    [10] = {"ta tionde avfarten vid rondellen", "ta tionde avfarten"},                        -- take the tenth exit
    [11] = {"ta elfte avfarten vid rondellen", "ta elfte avfarten"},                              -- take the eleventh exit
    [12] = {"ta tolfte avfarten vid rondellen", "ta tolfte avfarten"}                             -- take the twelfth exit
}

unit = {                        
    ["MILE"] = "mile",
    ["YARDS"] = "yard",
    ["FEET"] = "fötter",
    ["KILOMETER"] = "kilometer",
    ["METERS"] = "meter",
    ["METER"] = "meter",
    ["KILOMETERS"] = "kilometer",
    ["MILES"] = "miles",
    ["nil"] = nil,
    ["UNDEFINED"] = nil
}

orientation = {
    ["NORTH"] = "norrut",
    ["NORTH_EAST"] = "åt nordost",
    ["EAST"] = "österut",
    ["SOUTH_EAST"] = "åt sydost",
    ["SOUTH"] = "söderut",
    ["SOUTH_WEST"] = "åt sydväst",
    ["WEST"] = "västerut",
    ["NORTH_WEST"] = "åt nordväst"
}

misc = { 
    ["gps_signal_lost_wav"] = "GPS-signalen förlorad",
    ["gps_signal_restored_wav"] = "GPS uppkopplingen är återställd",
 --   ["no_gps_signal_wav"] = "ingen GPS-signal",
    ["route_recalculation_wav"] = "Din resväg nyberäknas",
    ["now_wav"] = "Nu,",
    ["end_of_street_wav"] = "Vid slutet av vägen",
    ["follow_motorway_wav"] = "Följ huvudvägen",
    ["follow_road_wav"] = "Följ vägen",
    ["for_wav"] = "i",
    ["after_wav"] = "Efter",
    ["the_junction_wav"] = "korsningen",
    ["half_a_mile_wav"] = "en halv mile",
    ["quarter_a_mile_wav"] = "en fjärdedels mile",
    ["three_quarter_of_mile_wav"] = "tre fjärdedelar av en mile",
    ["immediately_wav"] = "direkt",
    ["safety_camara_ahead_wav"] = "Trafikkamera längre fram",
    --["over_speed_limit_wav"] = "Var uppmärksam på hastighetsbegränsningen",
    ["traffic_automatic_detour_wav"] = "Mycket trafik på vägen, tar en omfartsväg",
    ["traffic_manual_detour_wav"] = "Mycket trafik på vägen, vill du ta en omfartsväg?",
    ["no_detour_possible"] = "ingen omfartsväg runt trafiken möjlig",
    ["and_wav"] = "och",
    ["then_wav"] = "sedan",
    ["and_then_wav"] = "och sedan",
    ["and_then_enter_wav"] = "och kör sedan",
    ["then_turn_wav"] = "sväng sedan",
    ["then_noturn_wav"] = "fortsätt sedan",
    ["then_keep_wav"] = "håll sedan",
    ["and_continue_on_wav"] = "och fortsätt på",
    ["towards_wav"] = "mot",
    ["turn_wav"] = "sväng",
    ["onto_wav"] = "på",
    ["exit_wav"] = "ta avfarten",
    ["second_right_wav"] = "andra till höger",
    ["second_left_wav"] = "andra till vänster",
    ["dot"] = ".",
    ["walk_left_roundabout_wav"] = "gå till vänster runt rondellen",
    ["walk_right_roundabout_wav"] = "gå till höger runt rondellen",
    ["walk_roundabout_wav"] = "Gå runt rondellen",
    ["head_wav"] = "Gå",
    ["pause"] = "\\pause=50\\",
    ["on_wav"] = "på",
    ["the_footpath_wav"] = "på stigen"
}

wav_files = { 
    ["beep_sound"] = "beep16K.wav",
	["speed_limit_beeps"] = "g5war_speed_limit_soft4edit9.wav"       
}

right = { ["QUITE_RIGHT"] = 0, ["HEAVY_RIGHT"] = 0, ["LIGHT_RIGHT"] = 0, ["KEEP_RIGHT"] = 0 }
left = { ["QUITE_LEFT"] = 0, ["HEAVY_LEFT"] = 0, ["LIGHT_LEFT"] = 0, ["KEEP_LEFT"] = 0 }
keep = { ["KEEP_LEFT"] = 0, ["KEEP_RIGHT"] = 0, ["KEEP_MIDDLE"] = 0 }
highway = { ["ENTER_HIGHWAY"] = 0, ["ENTER_URBAN_HIGHWAY"] = 0, ["LEAVE_HIGHWAY"] = 0, ["LEAVE_URBAN_HIGHWAY"] = 0 }


